package com.infoepoch.pms.dispatchassistant.domain.langchain.qwen;

import java.util.List;

public class QwenLine {

    public QwenLine() {
    }

    public QwenLine(String id, String object, String created, String model, Usage usage, List<Choice> choices) {
        this.id = id;
        this.object = object;
        this.created = created;
        this.model = model;
        this.usage = usage;
        this.choices = choices;


    }

    private String id;

    private String object;

    private String created;

    private String model;

    private Usage usage;

    private List<Choice> choices;

    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }

    public String getObject() {
        return object;
    }
    public void setObject(String object) {
        this.object = object;
    }

    public String getCreated() {
        return created;
    }
    public void setCreated(String created) {
        this.created = created;
    }

    public String getModel() {
        return model;
    }
    public void getModel(String model) {
        this.model = model;
    }

    public Usage getUsage() {
        return usage;
    }
    public void setUsage(Usage usage) {
        this.usage = usage;
    }

    public List<Choice> getChoices() {
        return choices;
    }
    public void setChoices(List<Choice> choices) {
        this.choices = choices;
    }

}
